<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [AutocompleteData](./bitburner.autocompletedata.md) &gt; [flags](./bitburner.autocompletedata.flags.md)

## AutocompleteData.flags() method

**Signature:**

```typescript
flags(schema: [string, string | number | boolean | string[]][]): { [key: string]: ScriptArg | string[] };
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  schema | \[string, string \| number \| boolean \| string\[\]\]\[\] |  |

**Returns:**

{ \[key: string\]: [ScriptArg](./bitburner.scriptarg.md) \| string\[\] }

